Bug 176767 - [patch] net-im/ari-yahoo broken on freebsd-head
Summary: [patch] net-im/ari-yahoo broken on freebsd-head
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-08 20:20 UTC by Hiren Panchasara
Modified: 2014-02-23 16:06 UTC (History)
0 users

See Also:


Attachments
file.diff (1.68 KB, patch)
2013-03-08 20:20 UTC, Hiren Panchasara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hiren Panchasara 2013-03-08 20:20:00 UTC
net-im/ari-yahoo seems broken and I *think* below listed patch is fixing it.

Fix: $ diff -u work/ari-yahoo-1.10/libyahoo/libyahoo.c ~/libyahoo.c
Comment 1 Hiren Panchasara 2013-03-08 22:20:44 UTC
Also I also needed following to actually connect.

$ diff -u ~/libyahoo.c work/ari-yahoo-1.10/libyahoo/libyahoo.c
--- /home/hirenp/libyahoo.c     2013-03-08 12:07:09.562185831 -0800
+++ work/ari-yahoo-1.10/libyahoo/libyahoo.c     2013-03-08
14:15:37.101183014 -0800
@@ -102,8 +102,8 @@
 #endif

 /* pager server host */
-#define YAHOO_PAGER_HOST "cs.yahoo.com"
-#define YAHOO_PAGER_PORT       25
+#define YAHOO_PAGER_HOST "scsa.msg.yahoo.com"
+#define YAHOO_PAGER_PORT       5050

 /* pager server host for http connections */
 #define YAHOO_PAGER_HTTP_HOST "http.pager.yahoo.com"


After connecting, nothing else works other than "/help"

I cannot see friendlist with "/who".

On attempt to send a message to a friend, it seg faults.

cheers,
Hiren
Comment 2 Pawel Pekala freebsd_committer 2013-03-14 16:42:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 3 Pawel Pekala freebsd_committer 2013-03-14 16:56:16 UTC
Responsible Changed
From-To: pawel->freebsd-ports-bugs

Wrong PR
Comment 4 Rodrigo Osorio freebsd_committer 2014-02-13 12:28:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rodrigo

I'll take it.
Comment 5 Rodrigo Osorio freebsd_committer 2014-02-18 09:52:48 UTC
Hi Hiren,

The patch is fine, but this port has no maintainer,
would you consider to become a port maintainer and
adopt this port ?

Regards,
- rodrigo
Comment 6 Rodrigo Osorio freebsd_committer 2014-02-18 09:58:03 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 7 Rodrigo Osorio freebsd_committer 2014-02-18 10:17:16 UTC
Hi,

Sorry for the last message, but I change my mind.
According with the main website, Ari-Yahoo is 
currently broken[1].
Without other informations or real fix,I have to 
mark the port broken and plan its deletion.

Regards,
- rodrigo

[1] http://www.icculus.org/ari-yahoo/
Comment 8 Hiren Panchasara 2014-02-18 16:22:52 UTC
On Tue, Feb 18, 2014 at 2:17 AM, Rodrigo Osorio <rodrigo@freebsd.org> wrote:
> Hi,
>
> Sorry for the last message, but I change my mind.
> According with the main website, Ari-Yahoo is
> currently broken[1].
> Without other informations or real fix,I have to
> mark the port broken and plan its deletion.

I agree.

Cheers,
Hiren
>
> Regards,
> - rodrigo
>
> [1] http://www.icculus.org/ari-yahoo/
Comment 9 dfilter service freebsd_committer 2014-02-20 10:49:47 UTC
Author: rodrigo
Date: Thu Feb 20 10:49:37 2014
New Revision: 345212
URL: http://svnweb.freebsd.org/changeset/ports/345212
QAT: https://qat.redports.org/buildarchive/r345212/

Log:
  Deprecate the port since the author reports a breakage years ago and no one tries to fix it.
  
  PR:		ports/176767
  Approved by:	bapt (mentor)

Modified:
  head/net-im/ari-yahoo/Makefile

Modified: head/net-im/ari-yahoo/Makefile
==============================================================================
--- head/net-im/ari-yahoo/Makefile	Thu Feb 20 10:37:45 2014	(r345211)
+++ head/net-im/ari-yahoo/Makefile	Thu Feb 20 10:49:37 2014	(r345212)
@@ -10,6 +10,9 @@ MASTER_SITES=	SF
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Console Yahoo! messenger client
 
+DEPRECATED=	Broken for more than 1 year (http://www.icculus.org/ari-yahoo/)
+EXPIRATION_DATE=	2014-04-18
+
 USES=		gmake
 PLIST_FILES=	bin/ari-yahoo
 USE_GCC=	any
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Rodrigo Osorio freebsd_committer 2014-02-23 16:06:59 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!